//
//  MultiDetailViewAppDelegate.h
//  MultiDetailView
//
//  Created by Greg Fiumara on 3/24/10.
//  Copyright Greg Fiumara 2010. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "SubstitutableDetailViewController.h"


@class RootViewController;
@class DetailViewController;

@interface MultiDetailViewAppDelegate : NSObject <UIApplicationDelegate> 
{    
	UIWindow *window;
	
	UISplitViewController *splitViewController;
	
	RootViewController *rootViewController;
	UIViewController<SubstitutableDetailViewController> *detailViewController;
}

@property (nonatomic, retain) IBOutlet UIWindow *window;

@property (nonatomic, retain) IBOutlet UISplitViewController *splitViewController;
@property (nonatomic, retain) IBOutlet RootViewController *rootViewController;
@property (nonatomic, retain) IBOutlet UIViewController<SubstitutableDetailViewController> *detailViewController;

@end
