//
//  NothingSelectedDetailViewController.m
//  MultiDetailView
//
//  Created by Greg Fiumara on 3/24/10.
//  Copyright 2010 Greg Fiumara. All rights reserved.
//

#import "NothingSelectedDetailViewController.h"


@implementation NothingSelectedDetailViewController

@synthesize navigationBar;

#pragma mark -
#pragma mark Defined in SubstitutableDetailViewController protocol

- (void)showRootPopoverButtonItem:(UIBarButtonItem *)barButtonItem 
{
	[navigationBar.topItem setLeftBarButtonItem:barButtonItem animated:NO];
}

- (void)invalidateRootPopoverButtonItem:(UIBarButtonItem *)barButtonItem
{
	[navigationBar.topItem setLeftBarButtonItem:nil animated:NO];
}

#pragma mark -
#pragma mark View lifecycle

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation 
{
	return YES;
}

#pragma mark -

- (void)dealloc 
{
	self.navigationBar = nil;
	
	[super dealloc];
}


@end
