//
//  RootViewController.h
//  MultiDetailView
//
//  Created by Greg Fiumara on 3/24/10.
//  Copyright Greg Fiumara 2010. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "FirstDetailViewController.h"
#import "SecondDetailViewController.h"
#import "SubstitutableDetailViewController.h"


@interface RootViewController : UITableViewController <UISplitViewControllerDelegate>
{
	UISplitViewController *splitViewController;
	
	UIPopoverController *popoverController;
	UIBarButtonItem *rootPopoverBarButtonItem;
}

@property(nonatomic, assign) IBOutlet UISplitViewController *splitViewController;

@property(nonatomic, assign) UIPopoverController *popoverController;
@property(nonatomic, assign) UIBarButtonItem *rootPopoverBarButtonItem;


@end
